package com.yihu.figure.model.drug;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.figure.model.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by yeshijie on 2017/3/13.
 */
@Entity
@Table(name = "figure_medicine_record")
public class MedicineRecord extends IdEntity{
    private String code;
    private String serial;//'文档序号'
    private Integer orgId;//'机构ID'
    private String catalogCode;//''档案类型''
    private Date endTime;//''事件时间''
    private String orgName;//''机构名称''
    private String unionssid;//'文档序号'
    private Date ehrCommitTime;//''提交时间''
    private String type;//''事件类型1门诊2住院3体检''
    private String event;//''事件号''
    private String xmanId;//
    private String patient;//患者code
    private Date czrq;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    @Column(name = "catalog_code")
    public String getCatalogCode() {
        return catalogCode;
    }

    public void setCatalogCode(String catalogCode) {
        this.catalogCode = catalogCode;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getUnionssid() {
        return unionssid;
    }

    public void setUnionssid(String unionssid) {
        this.unionssid = unionssid;
    }

    public Date getEhrCommitTime() {
        return ehrCommitTime;
    }

    public void setEhrCommitTime(Date ehrCommitTime) {
        this.ehrCommitTime = ehrCommitTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getXmanId() {
        return xmanId;
    }

    public void setXmanId(String xmanId) {
        this.xmanId = xmanId;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
